<div class="row">
    <div class="col-md-5"></div>
    <div class="col-md-7">
        <h1>Welcome to Pet Rental</h1>
    </div>
    <div class="col-md-12">
<div  class="homeimage">
    <div class="col-md-3">
        <span class="hipster img-fluid rounded"></span>
    </div>
</div>
    </div>

    <div class="col-md-12">


        <div [ngSwitch]="isAuthenticated()" >
            <div class="alert alert-success" *ngSwitchCase="true">
                <span id="home-logged-message" *ngIf="account">You are logged in as user "{{ account.login }}".</span>
            </div>

                <div class="alert alert-warning" *ngSwitchCase="false">
                    <span>If you want to </span>
                    <a class="alert-link" (click)="login()">sign in</a><span>, you can try the default accounts:<br/>- Administrator (login="admin" and password="admin") <br/>- User (login="user" and password="user").</span>
                </div>

                <div class="alert alert-warning" *ngSwitchCase="false">
                    <span>You don't have an account yet?</span>&nbsp;
                    <a class="alert-link" routerLink="account/register">Register a new account</a>
                </div>
            <div class="table-responsive" id="entities" *ngIf="cars && cars.length > 0">
                <table class="table table-striped" aria-describedby="page-heading">
                    <thead>
                    <tr jhiSort >
                        <th scope="col"  ><span>Name</span> <fa-icon icon="sort"></fa-icon></th>
                        <th scope="col"  ><span>Model</span> <fa-icon icon="sort"></fa-icon></th>
                        <th scope="col"  ><span>Capacity</span> <fa-icon icon="sort"></fa-icon></th>
                        <th scope="col" ><span>Image</span> <fa-icon icon="sort"></fa-icon></th>
                        <th scope="col"></th>
                    </tr>
                    </thead>
                    <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
                    <tr *ngFor="let car of cars ;trackBy: trackId">
                        <td>{{ car.name }}</td>
                        <td>{{ car.model }}</td>
                        <td>{{ car.capacity }}</td>
                        <td>
                            <a *ngIf="car.image" (click)="openFile(car.imageContentType, car.image)">
                                <img [src]="'data:' + car.imageContentType + ';base64,' + car.image" style="max-height: 60px;" alt="car image"/>
                            </a>
                            <span *ngIf="car.image">{{ car.imageContentType }}, {{ byteSize(car.image) }}</span>
                        </td>
                        <td class="text-right">
                            <div class="btn-group">
                                <button type="submit"
                                        [routerLink]="['/car', car.id, 'view']"
                                        class="btn btn-info btn-sm">
                                    <fa-icon icon="eye"></fa-icon>
                                    <span class="d-none d-md-inline">View</span>
                                </button>

                                <button type="submit"
                                        [routerLink]="['/booking/new']"
                                        class="btn btn-primary btn-sm">
                                    <fa-icon icon="pencil-alt"></fa-icon>
                                    <span class="d-none d-md-inline">Book</span>
                                </button>

                            </div>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>

        </div>


    </div>
</div>
